import request from '@/utils/request'

// 查询科技研发清单列表
export function list38(query) {
  return request({
    url: '/basicData/xcrOtherInfo38/findByPage',
    method: 'get',
    params: query
  })
}

// 查询科技研发清单详细
export function get38(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo38/' + xhCodeId,
    method: 'get'
  })
}

// 新增科技研发清单
export function add38(data) {
  return request({
    url: '/basicData/xcrOtherInfo38',
    method: 'post',
    data: data
  })
}

// 修改科技研发清单
export function update38(data) {
  return request({
    url: '/basicData/xcrOtherInfo38',
    method: 'put',
    data: data
  })
}

// 删除科技研发清单
export function del38(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo38/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function del38Batch(ids) {
  return request.post('/basicData/xcrOtherInfo38/delete',ids)
}
